package com.zcloud.personnel.positioning.command;

import com.zcloud.personnel.positioning.domain.gateway.AlarmDisposeRecordGateway;
import com.zcloud.personnel.positioning.domain.model.AlarmDisposeRecordE;
import com.zcloud.personnel.positioning.dto.AlarmDisposeRecordUpdateCmd;
import com.alibaba.cola.exception.BizException;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * web-app
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
@Component
@AllArgsConstructor
public class AlarmDisposeRecordUpdateExe {
    private final AlarmDisposeRecordGateway alarmDisposeRecordGateway;

    @Transactional(rollbackFor = Exception.class)
    public void execute(AlarmDisposeRecordUpdateCmd cmd) {
        AlarmDisposeRecordE alarmDisposeRecordE = new AlarmDisposeRecordE();
        BeanUtils.copyProperties(cmd, alarmDisposeRecordE);
        boolean res = alarmDisposeRecordGateway.update(alarmDisposeRecordE);
        if (!res) {
            throw new BizException("修改失败");
        }
    }
}
